Results 1 to 7 of 7

Thread: Error Adding Installation Source [SLES 10.2]

  1. #1
    skotla NNTP User

    Default Error Adding Installation Source [SLES 10.2]

    Hi All,

    I want to install gcc on my machine with SLES 10.2 installed on it.
    On searching for gcc in Yast -> Software -> Software Management, I just found libgcc and cpp. I want to install gcc command. I tried to add sles 10.2 installation dvd as Installation source but it is giving me this error:

    dvd:///
    Unknown Error: Invalid path name component
    '// suse/setup/descr/dvd-11.1-71.1.i586.pat.gz'

    So... Now, I mounted the drive, copied the contents of the drive to a local directory and modified suse sub-directory name to " suse" [please note there is an empty space before suse in previous error] and tried if I can access " suse/setup/descr/dvd-11.1-71.1.i586.pat.gz"... All is good...

    I am still seeing the same error... I tried to add this local directory as installation source and I received this error:

    dir:///home/DOMAIN/USERNAME/Desktop/dvd
    Unknown Error: Invalid path name component '/home/AMR/skotla/Desktop/
    dvd/ suse/setup/descr/dvd-11.1-71.1.i586.pat.gz'

    Why am I seeing this error even after changing the directory name
    PLease Help... I need gcc installed on my system to get going with my other projects.

    Thanks
    SKotla

  2. #2
    Join Date
    Jun 2008
    Posts
    42

    Default Re: Error Adding Installation Source [SLES 10.2]

    At least for SLED it was easy.
    gcc was found in SLED10-SP2-Pool repo. When i registered the product, repo was added to yast. Relevant packages are:
    Code:
    ~ # rpm -qa | grep gcc
    gcc-info-4.1.2_20070115-0.22
    gcc-c++-4.1.2_20070115-0.22
    libgcc-4.1.2_20070115-0.22
    gcc-4.1.2_20070115-0.22

  3. #3
    skotla NNTP User

    Default Re: Error Adding Installation Source [SLES 10.2]

    By Default I just have SLE_10 Repo added... I dont see gcc listed in there... I just have libgcc installed on my system by default..
    COMMAND: rpm -qa | grep gcc
    OUTPUT: libgcc-4.1.2_20070115-0.14

  4. #4
    Join Date
    Jun 2008
    Posts
    42

    Default Re: Error Adding Installation Source [SLES 10.2]

    See what installation sources you have by

    # zypper service-list

    If your misspelled directory is still listed, remove it by

    # zypper service-delete your-bad-dir-name-here

    You may have/want to do this again with yast in order to get ZENworks aligned with yast

    Add your directory

    # zypper service-add your-good-dir-name-here

    Refresh services

    # zypper refresh

    You can post your problem in SLES forum. Maybe they know some tricks you can do with zdm to resolve this problem.

  5. #5
    somebody_else NNTP User

    Default Re: Error Adding Installation Source [SLES 10.2]

    this is the openSUSE (free!) linux forum...

    what you have is the commercial (non-free) Linux from Novell...yes,
    the open side and the commercial side are related, but NOT the same..

    though it may be helpful you should ignore all advice you get here
    and, instead join the correct forum for your SUPPORTED software, at:

    'SUSE Linux Enterprise Server (SLES) - NOVELL FORUMS'
    (http://tinyurl.com/69jvat)

    or

    'SUSE Linux Enterprise Desktop (SLED) - NOVELL FORUMS'
    (http://tinyurl.com/5lcm75)

    in your case it _may_ be necessary to register and buy a subscription
    in order to fetch the capability you need..

    free alternatives are of course available here...but trying to load
    from the openSUSE repos is not gonna be pretty..better to load up
    openSUSE..

    and, by the way, the latest SLED is 11..

    --
    decorated_warrior

  6. #6
    Join Date
    Jun 2008
    Posts
    42

    Default Re: Error Adding Installation Source [SLES 10.2]

    In response to above post:

    Some of the installation sources found in opensuse site are specific to SLE_10 (SLES/SLED) and I suppose they are intended for SLE_10 users, for example: Index of /repositories/KDE:/KDE3/SLE_10. Some people from community backport applications to SLE 10 and also these can be found in opensuse site. Same goes for SLE_11.
    OS 10.3, 11.0 and 11.1 installation sources are not compatible with SLE_10, so they cannot be used.

    Latest SLED is 11 - Ok. But you can get support for SLED 10 till 2013 and use installation sources till 2016. My license was bundled with a computer and is valid well into 2012 and there are good reasons not to migrate.

  7. #7
    somebody_else NNTP User

    Default Re: Error Adding Installation Source [SLES 10.2]

    thank you for that info...i knew none of it..

    the back story:
    several months ago i saw a question from (if i recall correctly) a
    *new* HP laptop owner complaining of a problem with his "SUSE 10"...it
    was worded in a way that i _thought_ s/he had SLED 10..

    however, the prompt community answer given (obviously from someone who
    had NO clue as to what SLED is) was to immediately 'upgrade' to
    openSUSE 11.1 via a format/install..

    i posted a note something like mine above hoping to get him/her over
    to the novell site BEFORE the format began..

    later i suggested this forum "do something" to help avoid such
    destructive 'help' to Novell customers in the future...the community
    responded by adding three references to SLE_ on the opening page
    <http://forums.opensuse.org/> (with no info on why)

    which is, i guess all, "we" can do....that is, we can't FORCE the new
    owners of (say) an HP or Dell to actually READ enough about SLED and
    openSUSE *know* that our 10.3, 11.0 and 11.1 repos are toxic to their
    systems..

    i kinda wish Novell would provide case stickers with each license
    which directed proud new HP/Dell/whatever with SLED 11 owners to the
    right place...and, warn them of overeager responders here without the
    first clue..

    ymmv
    --
    decorated_warrior



Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •